> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a model by full name



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json delete /v0/models/{vendor}/{full_name}
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v0/models/{vendor}/{full_name}:
    delete:
      tags:
        - models
      summary: Delete a model by full name
      operationId: >-
        v1_delete_model_by_vendor_and_fullname_v0_models__vendor___full_name__delete
      parameters:
        - name: full_name
          in: path
          required: true
          schema:
            type: string
            title: Full Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteModelStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DeleteModelStatusResponse:
      properties:
        name:
          type: string
          title: Name
          description: The new model name.
          examples:
            - meta-llama/Meta-Llama-3.1-8B-Instruct-LoRa:my-custom-model-udpd
        base_model:
          type: string
          title: Base Model
          description: The base model identifier the new model belongs to
          examples:
            - meta-llama/Meta-Llama-3.1-8B-Instruct-fast
        source:
          type: string
          title: Source
          description: >-
            Checkpoint id from Fine-Tunes API, file id from Files API, or
            HuggingFace repo url
          examples:
            - ftjob-1234567890:ftckpt_1234567890
            - file-1234567890
            - huggingface.co/sofrony/Llama-3.1-8B-Instruct-sofrony
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: integer
          title: Created At
        status:
          allOf:
            - $ref: '#/components/schemas/ModelStatus'
          description: The status of the model
          examples:
            - deleted
      type: object
      required:
        - name
        - base_model
        - source
        - created_at
        - status
      title: DeleteModelStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ModelStatus:
      type: string
      enum:
        - validating
        - active
        - error
        - deleted
      title: ModelStatus
      description: Enum representing the possible statuses of a model.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````